$(document).ready(function () {
    // form 태그 안의 input에서 엔터키 누를 때 form 전송을 막는 코드
    $("#findForm").keypress(function (event) {
        if(event.which == 13) {
            event.preventDefault();
            return false;
        }
    })

    $('#authRequestBtn').click(function () {
        var phone = _.replace($("#phone").val(), /\-/g, '');
        var checkPhone = userService.checkPhone(phone);
        if (checkPhone) {
            userService.ajaxSmsSend(phone,function(){});
        }
    });

    $('#authCheckBtn').click(function () {
        var scb = function (res) {
            $('#joinAuthOk').show();
            $('#joinAuthNo').hide();

            console.log(res.data);
            var msg = '해당 번호로 가입된 아이디는 다음과 같습니다.\n'
            _.forEach(res.data, function (d) {
                msg+= '[' + d + '] ';
            });

            $('#joinAuthOk').html(msg);

        };
        var ecb = function() {
            $('#joinAuthOk').hide();
            $('#joinAuthNo').show();
        };
        var phone = _.replace($("#phone").val(), /\-/g, '');
        findIdService.ajaxSmsFindId($('#phoneAuthKey').val(), phone, scb, ecb);
    });

    /*
     * 이메일 인증 시 사용되는 코드
     */
    // $('#findIdBtn').click(function () {
    //     callFindIdApiRequest();
    // });
    // $("#findEmail").keyup(function(event) {
    //     if(event.which == 13) {
    //         callFindIdApiRequest();
    //     }
    //
    //     if ($("#findEmail").val()!='') {
    //         $("#findIdBtn").css('opacity', '0.9');
    //     } else {
    //         $("#findIdBtn").css('opacity', '0.5');
    //     }
    // });

    // function callFindIdApiRequest() {
    //     findIdService.findIdApiRequest(
    //         {
    //             scb: function (message){
    //                 alert(message);
    //                 location.href = "/login/loginForm.mng"
    //             },
    //             ecb: function (message) {
    //                 alert(message);
    //                 $('#findEmail').val("");
    //             }
    //         },
    //         $('#findEmail').val()
    //     );
    // }
})